apiVersion: apps/v1
kind: Deployment
metadata:
  name: octav-dep-apache
  labels:
    app: apache
spec:
  replicas: 1
  selector:
    matchLabels:
      app: apache
  template:
    metadata:
      labels:
        app: apache
    spec:
      containers:
      - name: my-apache
        image: petreocty1998/octav_rep:Apache98
        ports:
        - containerPort: 80
        volumeMounts:
        - name: volume
          mountPath: /var/www/html
      volumes:
      - name: volume
        persistentVolumeClaim:
          claimName: pvc-hostpath
